const actor = args.actor;

if (actor.itemTypes.skill.find(s => s.name === "Savoir (Voies fluviales)")) {
  const loreTest = await actor.setupSkill('Savoir (Voies fluviales)',  {
    appendTitle: ` – ${this.effect.name}`,
    skipTargets: true,
    fields: {difficulty: 'hard'},
    characteristic: 'int',
  });
  await loreTest.roll();

  if (loreTest.succeeded) {
    loreTest.result.other.push(`<b>${actor.name}</b> reconnaît les leurres des Lurkerfish.`);
    loreTest.renderRollCard();
    return;
  }
}

let Test = await actor.setupSkill('Calme',  {
  appendTitle: ` – ${this.effect.name}`,
  skipTargets: true,
  fields: {difficulty: 'easy'},
  characteristic: 'wp',
});
await test.roll();

if (!Test.succeeded) {
  Test.result.other.push(`<b>${actor.name}</b> est devenu fasciné par la vue et incapable d'effectuer une quelconque action autre que de se déplacer vers la lumière.`);
  Test.renderRollCard();
  actor.addCondition("unconscious");
}